### Function

# FwupdPlugin coswid_parse_one_or_many

since: 1.9.17

#### Declaration [src]

    gboolean
    fu_coswid_parse_one_or_many (
      FuCborItem* item,
      FuCoswidItemFunc func,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Parses an item that may be an array, calling `func` on each map value.

Available since: 1.9.17

#### Parameters

`item`

  Type: `FuCborItem`

  A `FuCborItem`.

  The data is owned by the caller of the function.

`func`

  Type: `FuCoswidItemFunc`

  A function to call with each map value.

`user_data`

  Type: `gpointer`

  Pointer value to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.